> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Consulting To Standard Endpoint

> This endpoint will convert a consulting instance to a standard instance under your partner account.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json patch /partner/instances/mfa
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/instances/mfa:
    patch:
      tags:
        - Instances
      summary: Convert Consulting To Standard Endpoint
      description: "This endpoint will convert a consulting instance to a standard instance under your partner account.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: ConvertConsultingToStandard
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UpdatePartnerMFARequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    UpdatePartnerMFARequest:
      title: Update Partner MFA Request
      type: object
      properties:
        mfa_type:
          title: MFA Type
          type:
            - string
            - 'null'
          description: >-
            The type of MFA to be set for the partner. Type switch: 0 = none, 1
            = email, 2 = authenticator (TOTP)
        instance_id:
          title: Instance ID
          type:
            - string
            - 'null'
          description: ID of the instance being modified
      additionalProperties: false
      description: Represents a request to update the MFA settings for a partner.
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````